Rights

Rights windows of a title

GET
/v1/titles/{id}/rights

Scope: library:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/titles/string/rights'
Example Response
{  "asset": {    "id": "ca40804f-4095-474f-b627-388241a74fa3",    "title": "Planet Earth",    "type": "series"  },  "rollup": {    "state": "rights_unknown",    "soonestEnd": null,    "scopes": [],    "territories": []  },  "byTerritory": [    {      "territory": "US",      "state": "none",      "soonestEnd": null    },    {      "territory": "GB",      "state": "none",      "soonestEnd": null    }  ],  "territories": [    "US",    "GB"  ],  "scopes": [    "Theatrical",    "SVOD"  ],  "matrix": [    {      "scope": "Theatrical",      "cells": [        {          "territory": "US",          "state": "none",          "inherited": false        },        {          "territory": "GB",          "state": "none",          "inherited": false        }      ]    },    {      "scope": "SVOD",      "cells": [        {          "territory": "US",          "state": "none",          "inherited": false        },        {          "territory": "GB",          "state": "none",          "inherited": false        }      ]    }  ],  "windows": [],  "overrides": [],  "inherited": {    "catalogId": "16b6b5ee-e679-4deb-b213-0c86a5fea76d",    "catalogName": "E2E Series",    "siblingCount": 5,    "windows": []  }}